Package org.eclipse.net4j.util.io

# Class ExtendedDataInput.Delegating

java.lang.Object
org.eclipse.net4j.util.io.ExtendedDataInput.Delegating

All Implemented Interfaces:
  `Closeable`, `DataInput`, `AutoCloseable`, `ExtendedDataInput`

Enclosing interface:
  ExtendedDataInput

public static class ExtendedDataInput.Delegating extends Object implements ExtendedDataInput, Closeable

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

`ExtendedDataInput.Delegating, ExtendedDataInput.Stream`

## Constructor Summary

Constructors
Constructor
Description
`Delegating(ExtendedDataInput delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ExtendedDataInput`
`getDelegate()`
`boolean`
`readBoolean()`
`byte`
`readByte()`
`byte[]`
`readByteArray()`
`char`
`readChar()`
`double`
`readDouble()`
`<T extends Enum<?>>
T`
`readEnum(Class<T> type)`
`Throwable`
`readException()`
`float`
`readFloat()`
`void`
`readFully(byte[] b)`
`void`
`readFully(byte[] b, int off, int len)`
`int`
`readInt()`
`String`
`readLine()`
`long`
`readLong()`
`Object`
`readObject()`
`Object`
`readObject(ClassLoader classLoader)`
`Object`
`readObject(ExtendedIOUtil.ClassResolver classResolver)`
`short`
`readShort()`
`String`
`readString()`
`int`
`readUnsignedByte()`
`int`
`readUnsignedShort()`
`String`
`readUTF()`
`int`
`readVarInt()`
`long`
`readVarLong()`
`int`
`skipBytes(int n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delegating

public Delegating(ExtendedDataInput delegate)

## Method Details

### getDelegate

public ExtendedDataInput getDelegate()

### readBoolean

public boolean readBoolean() throws IOException

Specified by:
  `readBoolean` in interface `DataInput`
Throws:
  `IOException`

### readByte

public byte readByte() throws IOException

Specified by:
  `readByte` in interface `DataInput`
Throws:
  `IOException`

### readByteArray

public byte[] readByteArray() throws IOException

Specified by:
  `readByteArray` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readChar

public char readChar() throws IOException

Specified by:
  `readChar` in interface `DataInput`
Throws:
  `IOException`

### readDouble

public double readDouble() throws IOException

Specified by:
  `readDouble` in interface `DataInput`
Throws:
  `IOException`

### readFloat

public float readFloat() throws IOException

Specified by:
  `readFloat` in interface `DataInput`
Throws:
  `IOException`

### readFully

public void readFully(byte[] b, int off, int len) throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

### readFully

public void readFully(byte[] b) throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

### readInt

public int readInt() throws IOException

Specified by:
  `readInt` in interface `DataInput`
Throws:
  `IOException`

### readLine

public String readLine() throws IOException

Specified by:
  `readLine` in interface `DataInput`
Throws:
  `IOException`

### readLong

public long readLong() throws IOException

Specified by:
  `readLong` in interface `DataInput`
Throws:
  `IOException`

### readObject

public Object readObject() throws IOException

Specified by:
  `readObject` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readObject

public Object readObject(ClassLoader classLoader) throws IOException

Specified by:
  `readObject` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readObject

public Object readObject(ExtendedIOUtil.ClassResolver classResolver) throws IOException

Specified by:
  `readObject` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readShort

public short readShort() throws IOException

Specified by:
  `readShort` in interface `DataInput`
Throws:
  `IOException`

### readString

public String readString() throws IOException

Specified by:
  `readString` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readEnum

public <T extends Enum<?>> T readEnum(Class<T> type) throws IOException

Specified by:
  `readEnum` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.0

### readException

public Throwable readException() throws IOException

Specified by:
  `readException` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.4

### readUnsignedByte

public int readUnsignedByte() throws IOException

Specified by:
  `readUnsignedByte` in interface `DataInput`
Throws:
  `IOException`

### readUnsignedShort

public int readUnsignedShort() throws IOException

Specified by:
  `readUnsignedShort` in interface `DataInput`
Throws:
  `IOException`

### readUTF

public String readUTF() throws IOException

Specified by:
  `readUTF` in interface `DataInput`
Throws:
  `IOException`

### readVarInt

public int readVarInt() throws IOException

Specified by:
  `readVarInt` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.7

### readVarLong

public long readVarLong() throws IOException

Specified by:
  `readVarLong` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.7

### skipBytes

public int skipBytes(int n) throws IOException

Specified by:
  `skipBytes` in interface `DataInput`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`
Since:
  3.6